<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-vcs-mercurial.qdoc -->
  <title>Using Mercurial | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Using Mercurial</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-vcs-git.html" />
  <link rel="next" href="creator-vcs-perforce.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-vcs-git.html">Using Git</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-perforce.html">Using Perforce</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Using Mercurial</h1>
<span class="subtitle"></span>
<!-- $$$creator-vcs-mercurial.html-description -->
<div class="descr"> <a name="details"></a>
<p>Mercurial is a free, distributed source control management tool.</p>
<p>In addition to the standard version control system functions described in <a href="creator-version-control.html#using-common-functions">Using Common Functions</a>, you can select the following functions in the <b>Tools</b> &gt; <b>Mercurial</b> submenu:</p>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Menu Item</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><b>Import</b></td><td >Apply changes from a patch file.</td></tr>
<tr valign="top" class="even"><td ><b>Incoming</b></td><td >Monitor the status of a remote repository by listing the changes that will be pulled.</td></tr>
<tr valign="top" class="odd"><td ><b>Outgoing</b></td><td >Monitor the status of a remote repository by listing the changes that will be pushed.</td></tr>
<tr valign="top" class="even"><td ><b>Pull</b></td><td >Pull changes from the remote repository.</td></tr>
<tr valign="top" class="odd"><td ><b>Push</b></td><td >Push changes to the remote repository.</td></tr>
</table></div>
</div>
<!-- @@@creator-vcs-mercurial.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-vcs-git.html">Using Git</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-vcs-perforce.html">Using Perforce</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
